For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
DeveloperAcademyCommunityStatus
    • Overview
    • API Credentials
    • Errors
    • Legacy & Deprecated APIs
  • Events API
        • POST[Deprecated] Send a message
    • Chat Markup
    • Rate Limits
    • Message Delivery
  • (Beta) Conversations API
  • Data API
    • GETList conversations
    • GETList interactions
    • GETList plugins calls
    • GETList Plugin Resources
    • GETList Users
  • Webhook Listeners
  • Content Gateway
    • Overview
    • Integration Strategies
    • Starter Code
    • Verifying Your Build
    • Connecting Your Gateway to Moveworks
    • Authentication
    • How Permissions Work
    • Common Pitfalls
    • Operational Guide
    • Errors
    • Supported MIME Types
  • Legacy Gateways
    • Authentication
    • Response Options
    • Field Types
    • Form Gateway Errors
DeveloperAcademyCommunityStatus
Events APIEvents APIDeprecated

[Deprecated] Send a message

||View as Markdown|
POST
/rest/v1/messages/send
POST
/rest/v1/messages/send
$curl -X POST https://api.moveworks.ai/rest/v1/messages/send \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "message": "This is a rich message that supports <b>bold</b> and <i>italics</i>.<br><br> Did I mention, we also support:<br><ul><li>Lists</li><li><a href=\"https://moveworks.com\">Links</a></li><li>and just about <a href=\"https://www.webfx.com/tools/emoji-cheat-sheet/\"> any emoji you want </a>:fire:</li></ul>",
> "recipients": [
> "email@email.com"
> ]
>}'
Send a message to users. This endpoint is deprecated, but existing integrations will continue to work.
Was this page helpful?
Previous

Chat Markup

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

Object containing all the data needed to send a message to a list of recipients
messagestringRequired1-20000 characters
Message to be sent, formatted in Moveworks' version of HTML. Moveworks attempts to shorten valid links to fit within chat platform constraints. Consult your chat platform API documentation to understand actual character limits.
recipientslist of stringsRequired
Email addresses of the employees to send the message to

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error